import pyfiglet
import time
import os
import random
from colorama import Fore, Style
import threading

def print_static_text():
    """Menampilkan teks tambahan yang tidak berubah."""
    print("\n" + Fore.GREEN + "🔥 Stay Connected! 🔥" + Style.RESET_ALL)
    print(Fore.CYAN + "📢 Join Telegram Group: https://t.me/sam_xode" + Style.RESET_ALL)
    print(Fore.GREEN + "🐦 Follow Twitter: https://x.com/sam_xode" + Style.RESET_ALL)

def get_random_color():
    """Mengembalikan warna acak dari colorama."""
    colors = [Fore.RED, Fore.BLUE, Fore.YELLOW, Fore.MAGENTA, Fore.CYAN, Fore.GREEN, Fore.WHITE]
    return random.choice(colors)


def rainbow_text(text):
    """Mengubah teks menjadi warna pelangi."""
    colors = [Fore.RED, Fore.YELLOW, Fore.GREEN, Fore.CYAN, Fore.BLUE, Fore.MAGENTA]
    colored_text = "".join(colors[i % len(colors)] + char for i, char in enumerate(text))
    return colored_text + Style.RESET_ALL

def rainbow_effect(text="<SAMXODE/>", font="big"):
    """Menampilkan teks ASCII dengan warna pelangi."""
    ascii_art = pyfiglet.figlet_format(text, font=font).split("\n")

    for line in ascii_art:
        print(rainbow_text(line))  # Memberi warna pelangi pada tiap baris teks

    print_static_text()  # Menampilkan info tambahan tanpa efek berubah


def start_watermark():
    """Menampilkan teks dengan efek warna pelangi."""
    rainbow_effect()

    
def start_samxode():
    print("Samxode watermark is active!")
